f-spot 0.8.1 - Dec 19 2010 - Winter Fixes!
------------------------------------------
- Bug fix release for the 0.8.x series.
 - Critical bug fixes and translation updates. Upgrading highly recommended.
 - Infobox crasher fixed (Paul Wellner Bou)
 - CRW crasher (Christian Krause)
 - XMP sidecar file naming now uses file.jpg.xmp, falls back to old file.xmp
   if present (Ruben Vermeersch)
 - French Mallard Documentation (Bruno Brouard)
 - Slovenian Mallard Documentation (Matej Urbančič)
 - Tons of translations
 - Loads of obsolete code fixed (Tim Howard)
 - DateTime.DaysInMonth crasher fix (Tim Howard)
 - Mono.Data.Sqlite removed (Tim Howard)
 - Switch to official Taglib# repository.
 - Lots of Taglib# fixes.
 - Rotation crasher (Nuno Ferreira)
 - Gallery export crasher for Unicode characters (Martin Slota)
 - A fix for the very annoying Int32.MaxValue bug.
 - Around 20 bugs closed (http://bit.ly/hCAwkd)

f-spot 0.8.0 - Sep 15 2010 - Stabilized
---------------------------------------
- First long-term stable release of the 0.8.x series.
 - Contains everything from the 0.7.x series as well as some critical extra
   fixes that were added during the past week.
 - Some regressions in terms of support for obscure RAW formats, but lots of
   improvements overall, definitely in terms of stability.
 - Nearly 300 bugs closed since 0.6.2 (http://bit.ly/bqXLLt)
 - This series will continue to be maintained and released, but only with
   improvements and fixes. New development will happen on the master branch
   and result in 0.9.x releases.

f-spot 0.7.3 - Sep  9 2010 - Release Candidate
----------------------------------------------
- Release candidate for the 0.8.0 release.
 - Completely replaced Glade usage by GtkBuilder (Paul Lange)
 - Cleanups and refactorings all accross (Ruben Vermeersch)
 - Correctly decide when to make the library location sensitive (Iain Lane)
 - Fixes in Taglib#.
 - IconView has been split up and made much more modular (Mike Gemünde)
 - More Hyenafication (Mike Gemünde)
 - Copy to Clipboard fixed (Mike Gemünde)
 - Another 20 bugs closed (http://bit.ly/a9FWVh)

f-spot 0.7.2 - Aug 11 2010 - Retooled
-------------------------------------
- Third release of the unstable 0.7 development series. Features a fully
  restructured source tree with full Monodevelop build support. Solves some of
  the regressions introduced in 0.7.1.
 - Reorganized source tree for clarity, builds with Monodevelop.
 - Switched from QueuedSqliteDatabase to HyenaSqliteConnection (Mike Gemünde)
 - Build tweaks (Christian Krause)
 - More GtkBuilder transition (Eric Faehnrich)
 - Reliability improvements (lots of them) for metadata handling (Mike Gemünde,
   Ruben Vermeersch)
 - Prune empty directories when deleting photos, import usability enhancements
   (Mike Wallick)
 - Big race-condition fix in import (Paul Wellner Bou)
 - Loads of improvements to Taglib#, in terms of handling broken files, extra
   format support (Pentax, Panasonic, Leica), stability and correctness (Ruben
   Vermeersch)
 - Reporting of import errors.
 - Speedups to repeated imports of the same directory.
 - Piles of cleanups and general stability improvements.
 - Over 50 bugs closed (http://bit.ly/cqpC3y)

f-spot 0.7.1 - Jul 14 2010 - The Big Switch
-------------------------------------------
- Second release of the unstable 0.7 development series. Most notably
  including a switch to Taglib#. Regressions in the amount of RAW
  types supported, will be fixed before releasing 0.8.
 - Switched to a new Taglib#-backed metadata layer. This is a huge change
   which should bring us increased stability (in the long run) and a much
   easier to maintain metadata layer than the one we previously had. Also
   enables some funky new features like XMP sidecars. (Ruben Vermeersch,
   Mike Gemünde)
 - Add support for XMP sidecars (Ruben Vermeersch)
 - Add "remove from camera after import"-option (Ruben Vermeersch)
 - Start of a massive backend cleanup (Mike Gemünde)
 - Upstreaming of a lot of Debian/Ubuntu patches (Iain Lane)
 - Several dialogs converted from glade to GtkBuilder (Ademir Mendoza,
   Nick Van Eeckhout, Peter Goetz, Trevor Buchanan)
 - Code refactorings and cleanups, increased Hyena adoption (Evan Briones,
   Paul Lange, Paul Wellner Bou)
 - Small usability improvements (Alex Launi, Anton Keks, Iain Churcher,
   Tomas Kovacik)
 - More build retooling (Bertrand Lorentz, Christian Krause, Gabriel Burt)
 - Many bugs fixed and improvements in stability: Over 85 bugs closed
   (http://bit.ly/aKyQOd)

f-spot 0.7.0 - Jun 16 2010 - Full Steam Ahead!
----------------------------------------------
- First release of the unstable 0.7 development series. Massive changes.
 - Reparenting and detaching support (Anton Keks)
 - A new Mallard-based documentation (Harold Schreckengost)
 - No longer embeds flickrnet, uses distribution copy (Iain Lane)
 - Adoption of a large amount of Hyena functionality (Paul Lange, Peter Goetz)
 - No longer embeds gnome-keyring-sharp
 - Completely rewritten import, much faster and less memory hungry (Ruben Vermeersch)
 - No longer use gphoto2-sharp, now uses gvfs which is less crash-pron (Ruben Vermeersch)
 - Fix Facebook support (Ruben Vermeersch)
 - Modernized unit tests
 - Revamped build (Mike Gemünde)
 - Much improved duplicate detection (much faster too) (Ruben Vermeersch)
 - Mouse selection in Iconview (Vincent Pomey)
 - Image panning support using middle mouse button (Wojciech Dzierżanowski)
 - Timeline slider now restricted to the size of the window (Iain Churcher)
 - Over 100 bugs closed (http://bit.ly/cyVjnD)

f-spot 0.6.2 - May 14 2010 - Bulldozer Time
-------------------------------------------
- Stable release before starting large cleanup refactorings, mostly usability,
  bug fixes and translations as well as some modernization. A large part of this
  comes from the Ubuntu one hundred papercuts effort.
 - Replaced the old slow slideshow code with new fast SlideShow (bgo #608849) (Gabriel Burt)
 - Wording changes for clarity (Edit Tag) (Jeffrey Finkelstein)
 - Fix version selection tooltip (Lorenzo Milesi)
 - Add gconf schema (Jeffrey Stedfast)
 - Added a border to filmstrip thumbnails (bgo #540772) (Matt Perry)
 - Fix display names of color profiles (Pascal de Bruijn)
 - Fix histogram colors on theme change (bgo #601565) (Paul Wellner Bou)
 - Always update ImageView adjustments when scaling. (Wojciech Dzierżanowski)
 - Correctly set attributes on copying (Yann Leprince)
 - Correct mnemonics in create tag dialog (Yves Kurz)
 - Provide sane defaults for image resize size (bgo #608440) (Yves Kurz)
 - Updates to the build system, including fixes for distcheck (Ruben Vermeersch)
 - Fix wording for duplicate hashing (bgo #607916) (Matt Perry)
 - Fix wording for imported tags tag (bgo #603053) (Ian Churcher)
 - Fix label alignment in preferences dialog (bgo #607318) (Pascal de Bruijn)
 - Add unique# and use it to handle our activation (Stephane Delcroix)
 - Stop bundling Mono.Addins (Stephane Delcroix)
 - Avoid leakage in straighten and softfocus editor (Stephane Delcroix)
 - Allow to copy files to clipboard (Stephane Delcroix)
 - Large number of color management related fixes (Stephane Delcroix)
 - Removed the Beagle plugin at the request of the openSUSE team (Ruben Vermeersch)
 - A pile of other cleanups and fixes (Ruben Vermeersch)
 - Two performance improvement patches for our database interaction (bgo #614403 and bgo #614580) (Michal Nánási)
 - Fix the longstanding issue of F-Spot changing photo timestamps (bgo #340903) (Paul Wellner Bou)
 - Tons of translation updates (seriously)

f-spot 0.6.1.5 - Nov 4 2009 - What Next ?
-----------------------------------------
- bugfix release for 0.6.x branch
 - make IconView responsive to mouseclicks on gdk 2.18 (bgo #600032)
 - do not ignore .rw2 files (bgo #593474)
 - avoid an Array.OORE on empty dbs (bgo #566977) (Mike Gemuende)

f-spot 0.6.1.4 - Oct 29 2009 - Dedication
-----------------------------------------
- bugfix release for 0.6.x branch
 - keep sorting on startup (bgo #598714) (Lorenzo)
 - fix a NRE on LastRollDialog (bgo #598009) (Jordi Mas)
 - fix the toolbar 2.28-ification (bgo #591421) (Michael Monreal)
 - accept --sync as comandline parameter
 - avoid crashing on AdjustTimeDialog (bgo #591402)
 - allow more than 60 pictures per Facebook albums
 - backported translations

f-spot 0.6.1.3 - Sep 28 2009 - Bare Feet In The Grass
-----------------------------------------------------
- bugfix release for 0.6.x branch
 - call g_type_init () prior to using gconf (bgo #593561)
 - avoid echoing an entry as tip (bgo #595606, bnc #318452)
 - check for existing files on version creation (bgo #596071)
 - set the progress dialog properties atomically (bgo #595228)
 - avoid a crash in the facebook extensions (bgo #595418) (Iain Lane)
 - fix slideshow transitions on gdk csw (>=2.18)
 - prevent a crash on broken exif data (bgo #595503) (Karl Mikaelsson)
 - support for X-GNOME-FullName in .desktop files (bgo #596240)
 - avoid locking on loading tiffs (bgo #592278)
 - better support for parallel build (bgo #593243) (Christian Krause)
 - avoid a crash on some broken color profiles (bgo #596279)
 - don't copy files to memory first at import (libgphoto2 >= 2.4, for usb cameras only) (bgo #596196)
 - backported translations from master

f-spot 0.6.1.2 - Sep 16 2009 - Always Nice To See You
-----------------------------------------------------
- bugfix release for 0.6.x branch
 - fix for bgo#594016, no longer fails to upgrade if you have photos from post 2038 (sic)
 - use interpolation on drawing
 - allows to run on gtk2.14

f-spot 0.6.1.1 - Aug 26 2009 - Tea Time Again
---------------------------------------------
- bugfix release for 0.6.1.0
  - some files were missing from the tarball
  - fix SendEmail for thunderbird3beta

f-spot 0.6.1.0 - Aug 25 2009 - Tea Time
---------------------------------------
- bugfix release, while development continues on master:
  - fix some crashers
  - reduce the both the package size and installed size by a few Megs
  - works on gtk+ > 2.17
  - load .pcx files
  - extendable slideshow
  - ~30 bugs fixed
  - updated translations

f-spot 0.6.0.0 - Aug 07 2009 - Sliced
-------------------------------------
- no longer depends on libeog
- fighting against deprecation, on the path to gnome3
- new viewer widget
- new widget showing folders organisation
- new Preference dialog
- db and config moved to .config (or whatever is pointed by xdg config)
- tons of bugs fixed (really)
- updated translations

f-spot 0.5.0.3 - Oct 16 2008 - Blame me
---------------------------------------
- bugfix release:
  - fix a (yet another) MAJOR WTF with the duplicate detection code
  - fix subselect column names for sqlite > 3.6.0
  - fix the ChangePath extension
- updated translations

f-spot 0.5.0.2 - Oct 06 2008 - Slowing down the Planet
------------------------------------------------------
- bugfix release:
  - fix a major memory leakage on Export
  - avoid the spinning disk effect on upgrade from pre-0.5.0 versions.
  That also means duplicate detection will only work for newly imported 
  images. An extension for computing hashes on existing images will be
  available from the Extension Mamager before the end of the week.
- updated translations.

f-spot 0.5.0.1 - Sep 22 2008 - Remember the Rubik's cube
--------------------------------------------------------
- bugfix release to workaround a bug in gdk-pixbuf
- some new translations
-.desktop fixes

f-spot 0.5.0 - Sep 18 2008 - Thumbs down
----------------------------------------
- new sidebar, reworked editors (Ruben, SoC)
- color profile support (Wasja, SoC)
- duplicate detection at import (Thomas)
- reworked db interractions, with O(1) queries
- reducing and batching db access
- light-speed tagging
- FullScreen mode enhancement
- new extensions, updated docs, updated translations
- hundreds of bugfixes (Lorenzo)

f-spot 0.4.4 - May 28 2008 - Springtime
---------------------------------------
- various FullScreen enhancements: fading widgets, snapped on screen edges, ...
- rating with hotkeys: use Alt-0 to Alt-5 in browse or edit mode to rate
- reduce startup time by ~40%, depending on your db size
- push back the "sort tag by popularity" feature removed on 0.4.3.1
- choose the theme you prefer for f-spot, even switch theme without restart with gtk-sharp 2.12.2
- reduce the verbosity of the output log. use --debug for full debugging output
- migrate CDExport to gio for gnome 2.22
- an insane amount of other fixes, new capabilities, updated translations and refactoring

f-spot 0.4.3.1 - Apr 29 2008 - Speed
------------------------------------
- bugfix release. reverting the popularity sorting, it was causing a long wait at atartup on some db.

f-spot 0.4.3 - Apr 29 2008 - Three
----------------------------------
- new print dialog with preview, new print options
- new filmstrip widget in Edit mode
- allow custom selection ratios for cropping
- sort tags by popularity (desc) in tag-typing autocompletion
- x-content/* support, integrate seemlessly with gnome 2.22
- works again on ppc architecture
- tons of bugfixes, translation updates and improvments all over the place

f-spot 0.4.2 - Fev 12 2008 - Rate me!
-------------------------------------
- rating and filter on rating
- auto-upgrade db from sqlite2 to sqlite3
- expose the stores through dbus
- MonoDevelop solution file
- new extensions, countless bugfixes

f-spot 0.4.1 - Dec 4 2007 - Italian Job
---------------------------------------
- bundle dbus-sharp only if it's not installed
- Keep full uris for photo and versions internally, enable r+j versioning and things.
- .arw support (sony A100)
- Some new extensions: RawPlusJpeg, DevelopInUFRaw, SyncCatalog
- Reworked TagView
- Inhibit/Unhinibit the screensaver in slideshow.
- 'No Image' and 'Alternate file' buttons on the edit tag dialog
- Some additional fixes to the slideshow mode
- Fixes some regressions of 0.4.0
- Proteced version
- Updated translations: ca, es, eu, fi, hu, gl, it, lt, oc, pl, pt_BR, sv
- Fixes bgo #462939, #463694, #463789, #462069, #464981, #463690, #471529, #473812, #391470, #474142, #474137, #474536, #345864, #469180, #473848, #362279, #365801, #476508, #432294, #476626, #443016, #457314, #477597, #477690, #477871, #470482, #478447, #477127, #477131, #478875, #471198, #479256, #427478, #467010, #430249, #479489, #479744, #479745, #480286, #479423, #479961, #483588, #484099, #477597, #471198, #434094, #461447, #485389, #486560, #486913, #488695  bnc #304124, #235647

f-spot 0.4.0 - August 2 2007 - YouNameIt
----------------------------------------
- Size and visibility of icons
- Updated Query widgets
- Start using custom exif code
- Queued sqlite commands and support for background jobs
- Import Rolls support and filtering on rolls
- Extensions support via Mono.Addins
- Reworked Timeline widget
- new tango icons everywhere. supports themability.
- Updated translations: ar, ca, cs, da, dz, en_GB, es, fr, fi, gl, hu, it, lt, lv, mk, nl, pl, pt, pt_BR, ru, sv
- Fixing bgo #407181, #415732, #331525, #415997, #421217, #418782, #424609, #428181, #428185, #431189, #436726, #437044, #357445, #438564, #324425, #321770, #439213, #441632, #429463, #441847, #407753, #444639, #336822, #444629, #442039, #404639, #446656, #327107, #457123, #457181, #452446, #446683, #457083, #438394, #461708, #452856, 418583 and some more...

f-spot 0.3.5 - March 5 2007 - Egypt
-----------------------------------
-Bugfix only release.  See ChangeLog for details.

f-spot 0.3.4 - Bait and Switch
------------------------------
- Bugfix only release.  See ChangeLog for details.

f-spot 0.3.3 - Feb 5 2007 - Pancakes
------------------------------------
- Fix the insensitve editors problem.
- Lots of other fixes.

f-spot 0.3.2 - Jan 22 2007 - Feta
---------------------------------
- New editing effects: Soft Focus and Straighten.
- Lots of fixes to the OpenGL slideshow introduced in 0.3.1

f-spot 0.3.1 - Jan 15 2007 - Sleep
----------------------------------
- Export to 23hq.com and SmugMug (Thomas Van Machelen)
- Background color for transparent regions of images can be chosen in --view mode (Stephane Delcroix)
- New red-eye removal algorithm. Threshold value for redeye removal is read from gconf. Default is set to -15 (Stephane Delcroix)
- Zero-pad month and days while creating files and directories (Stephane Delcroix)
- In browse mode hjkl now behave just like left, down, up, right arrow keys do (Gabriel Burt)
- Accepts dropped URIs from Firefox. Drag an image from Firefox and drop it in f-spot --view (Stephane Delcroix)
- Fullscreen mode uses overlayed controls, powered by compiz (Larry Ewing)
- Fixes to histogram (Larry Ewing)
- Initial work on color management (Larry Ewing)
- Refactored multi service support (Larry Ewing)
- More work on unit tests (Larry Ewing)
- Other fixes and improvements
- Bugs closed: #380423, #380649, #373426, #375365, #336758, #382839 (partial), #382846, #394559, #392210, #390176, #329841 and some more

f-spot 0.3.0 - Nov 28 2006 - Lapse
----------------------------------
- Massive view  mode improvements (Stephane Delcroix, Thomas Van Machelen).
- Fix for new Picasa web interface (Stephane Delcroix).
- Integrated unit tests using nunit.
- New multiresolution icons.
- New User Guide (Bengt Thuree, Alexandre Prokoudine and others).
- Query improvements (Gabriel Burt).
- Fixes for: #379188 #378907 #373423 #376366 #375341 #375038 #375033 #374380
  #373593 #362120 #361874 #357896 #372882 #373017 #365194 #367687 #368121
  #371548 #369896 #168091 #368319 #346977 and #358247 #365373 #346452 #363373
  #332584 #366368 #364998 #364456 #364973 #353874 #363593 #361949 #363591
  #333071 #360877 #360142 #360877 #360142 #329049 #360140 #356971 #363226
  #356978 #362859 #361963 #362438 #352117 #362295 (incomplete list) 

f-spo t0.2.2 - Oct 10 2006 - Bundle
-----------------------------------
- New query interface from (Gabriel Burt).
- Switch to Alp Toker's new managed dbus-sharp (Stephane Delcroix) 
- Lots of Picasa Web updates (Stephane Delcroix).
- Support for importing images with existing tag metadata (Bengt Thuree)
- Improved XMP reading and writing (Karl Palsson, Bengt).
- Update to a more recent version of semweb.
- Tons of bug fixes, see ChangeLog and bugzilla.

f-spot 0.2.1 - Sept 12 2006 - 1-Wire
------------------------------------
- Picasa Web album export.
- Fixes for recent mono versions.
- Support for scaling when sending mail.
- Support for exporting the images in correct orientation.
- Improved XMP generation.
- Many more bug fixes.

f-spot 0.2.0 - August 28 2006 - Steller
---------------------------------------
- Initial gnome-vfs --view support. 
- Impoved static html and folder export logic.
- Improved loupe.
- Fixes for mono head.
- Many many more fixes see ChangeLog.

f-spot 0.1.12 - August 28 2006 - Cormorant
------------------------------------------
- Fix exif description bug.
- Fix open with exception handling.
- Enable translations in screensaver.
- Fix the import dialog recursion issues.
- Handle self referencial IFDs in tiff/exif.
- Don't duplicate photos if they are already in the right place.
- Handle errors while sharpening and loading images.
- Work around gtk+ filechooser bug.
- Avoid long intervals with no refresh in slideshow.
- Handle errors while attempting to adjust colors. 
- Avoid raising the main window above the fullscreen window.
- Make the importer handle cancelation properly.
- When copying files unset the readonly flag. 
- Make the screensaver setup logic also handle the mode.
- Improve missing file handling.
- Start import immediately if path is passed on the command line.
- Many more fixes

f-spot 0.1.11 - March 13 2006 - Old Guard
-----------------------------------------
- Much improved contrast function.
- Database opens existing databases regardless of the sqlite
  version.  b.g.o #333644 and b.x.c #77711
- Database tries to force the correct encoding on v2 databases.
- Import dialog is better about cleaning up after itself.
- Valid cameras are no longer discarded from the camera list. b.g.o
  #324752.
- Group selector handles empty groups. b.g.o #333745
- Many slideshow improvements.
- Fix the erratic open with menu behavior. b.g.o #332949
- Improve the tag menu behavior when adding tags.
- Add --debug and --uninstalled command line options.
- Fixed JPEG orientation when saving new versions.
- Added a general exception dialog.
- Manu many more bugfixes.

f-spot 0.1.10 - Feb 21 2006 - Life Saver
----------------------------------------
- New gnome-screensaver mode.
- Timezone utc clean-ups.
- Fixed time dialog set the date properly.
- Expose the sort order to the ui. Fixes #321260.
- Added cancel button to color dialog #324903.
- Fixed memory leak in aysnc loader. #326940, #326660, 314034
- Many more bugfixes.


f-spot 0.1.9 - Feb 13 2006 - Hybrid
-----------------------------------
- Small import dialog improvements.
- Support for new Flickr API.
- Open With menu.
- Database upgrade path.
- Translated default tag names.

f-spot 0.1.8 - Jan 30 2006 - Distraction
----------------------------------------
- New icons!
- Fixed typos.
- Png metadata support.
- Support for dates before the unix Epoch.
- Improved XMP handing.
- Enhanced time dialog.

f-spot 0.1.7 - Jan 16 2006 - Boston
-----------------------------------
- fix IOChannel bug.
- Add desaturate command.
- Add sepia tone command.

f-spot 0.1.6 - Jan 16 2006 - Lick
---------------------------------
- Lots of new stuff.
- Cleaned up metadata write command.
- Added time adjustment dialog.
- Connected contast adjument.

f-spot 0.1.5 - Dec 12 2005 - Chip
---------------------------------
- Fix comments in Original export.
- Improve Zooming logic, remove the old View->Size menu.
- Keep in the timeline place when removing photos.
- Allow changes to case in tag names.
- Support adding albums to existing galleries.
- Support Gallery 2 in gallery export.
- Added russian translation from Alexsandre Prokoudine.

f-spot 0.1.4 - Dec 7 2005 - Ouch
--------------------------------
- Generate color profiles from image metadata for use when processing
  color.
- Fix bugs in metadata reading and writing.
- Improve tag application and editing.
- Add Xmp write support.
- Allow storage of tags in XMP in jpegs.
- Improved color editing dialog.
- Look at more tags when calculating photo date.
- Parse more metadata from raw files.
- Display metadata from all image types in the info dialog.
- Improve group selected widget.
- Display newest photos first.
- Type-to-tag feature.
- Remember window and export preferences.
- Find photos that are not tagged.
- Remove tag/category distinction.
- Ability to merge two tags.
- Option to copy images upon import.
- Improve HIG compliance of labels, menu names.
- More, better keybindings.

f-spot 0.1.3 - Sep 29 2005 - Sol
--------------------------------
- New rdf metadata backend.
- Iptc parser added.
- Photoshop parser added.
- Tiff metadata support.
- Basic Ciff metadata support.
- Png metadata support.
- XMP support.
- Better db operation checking.
- Tag Icon editing improvements.
- Many bug fixes.
- Integrated Joshua Trauberer's SemWeb into the build.

f-spot 0.1.2 - Aug 29 2005 - Katrina
------------------------------------
- Use dbus to contact running instances
- improve error handling.

f-spot 0.1.1 - Aug 21 2005 - Sleepiness
---------------------------------------
- Fix about box crash.
- Fix constraint ratio crash.
- Fix crash when starting for the first time.
- Improve image loading in some error cases.
- Update the menus on version changes.
- Avoid possible lockup in import dialog.

f-spot 0.1.0 - Aug 16 2005 - Fatherhood
---------------------------------------
- Rework import dialog.
- New zoom sliders allow icon and photo zooming.
- Import commandline now supports gphoto2: urls.
- New import from removable media logic.
- Start of RAW photo support (view only for now).
- Many many bug fixes.
- Beginnings of support for --view command line option.
- Tooltips for the edit buttons
- Fewer old bugs.
- More new bugs.

f-spot 0.0.13 - May 10 2005 - Depth
-----------------------------------
- Rework library bindings to work with mono-1.1.7
- Updated translations
- GroupSelector no longer forgets the legend height.
- Update the FlickrExport code to avoid an overflow in the available
  space.

f-spot 0.0.12 - March 19 2005 - Indigo
--------------------------------------
- Caught the proper exceptions for the editing operations.
- Update the menus for available operations.
- Added descriptive text when exif data doesn't exist.
- Hide the cursor during slideshows (on >= gtk+-2.4).
- Fixed installation when $libdir != $prefix/lib.
- Fixed FileChooserDialog interaction problem with the gnome-vfs
  backend.

f-spot 0.0.11 - March 14 2005 - To the Pain
-------------------------------------------
- Cleaned up error handling in Gallery export dialog.
- Speed up web uploads.
- reenabled scaling in gallery export.
- Added error handling for common operations.
- Removed lots of debg output.
- Fixed large image loading when thumbnail doesn't exist.

f-spot 0.0.10 - March 4 2005 - Half
-----------------------------------
- Fixed exif information trucation.
- Added .exe.config entries for all the external calls we make.
- Dispose of thumbnails after generating them.
- Many typo fixes (Adam Weinberger).
- Improved the icon cache to speed up thumbnail display.
- Fallback to simple flipping in the slideshow logic to avoid
  horrible lag on machines with slow video cards.
- Fixed a crash in the color adjustment dialog.
- Allow hiding of the tag sidebar (Nat).
- Speed up initial display of image when switching to view mode.
- Fix gallery export bug when used with newer Gallery installations.

f-spot 0.0.9 - Feb 21 2005 - Shell
----------------------------------
- Refactored thumbnail cache.
- Improved import dialog.
- Fixed lots and lots of bugs, see the ChangeLog.

f-spot 0.0.8 - Feb 17 2005 - Hoopla
-----------------------------------
- Most of the Export methods now support scaling out export.
- Added some new Keybindings to the IconView.
- Added libgphoto2 camera import support based on a patch from Ewen.
- Added Scaling logic to Flickr, Vfs and Original export.
- Interface improvements and cleanups.
- Many bug fixes.

f-spot 0.0.7 - Feb 1 2005 - Happy 29th
--------------------------------------
- Exif Tags are now copied from the source image and updated when
  edits are made.
- Group Selector now allows scrolling when there are too many items to
  fix on screen.
- Previews now show only for onscreen items.
- Rewrote the libexif bindings to support exif saving.
- Cleanup the lcms bindings.
- Added confirmation dialogs on destructive operations (Loz).
- Added HigMessageDialog to bring some of our dialogs into better
  compliance (thanks to Alex and Loz).
- Remember the last import directory (David Sedeño).
- Added start of export to Jakub's original (Alessandro Gervaso).
- Lots of other improvements and bug fixes.

f-spot 0.0.6 - Jan 19 2005 - Board
----------------------------------
Quick release to fix several problems in 0.0.5
- Fixed AsyncPixbufLoader notification error when the requested image
  does not exist.
- Fixed SlideShow bug where frames fail to advance.
- Fixed bug in adding tags to untagged images.
- Fixed bug in rotation speed-up logic.
- Fixed exception in Icon editing.
- Added emblem

f-spot 0.0.5 - Jan 18 2005 - Dart
--------------------------------
The highlights of 0.0.5 include:
- Much faster image loading and switching.
- Much faster orientation loading.  The rotation and flipping code has
  been optimized and tested .
- Faster Scrolling in Icon move.  Less computation per image means
  smoother scrolling.
- Basic CD export capability with nautilus-cd-burner.
- Basic gnome-vfs export.  There are still some problems with
  destinations that require auth, but the building blocks are there.
- New UI. Menus, toolbar and color scheme have been updated.
- Improved color adjustment ui.  The adjusted colors are now previewed
  in the main ui.
- Improved thumnbnail generation.
- We now check for duplicate images on import.
- Move back to gtk-sharp 1.0.  Using 1.9 was too big of a step forward
  for many people so we once again use gtk-sharp 1.0.x
- Many bugs fixed.
- Many features added.

F-Spot 0.0.4 - December 23 2004 - Gingerbread
---------------------------------------------
Tons of new features and improvements
- Improved full screen mode.
- More responsive image view.
- More zoom options.
- Flickr export.


F-Spot 0.0.3 - November 15 2004 - Whoops it has been a while
------------------------------------------------------------
Lots of new feaures and refinements


F-Spot 0.0.2 - August 29 2004 - Ice Machine
-------------------------------------------
Lots of new features including:
- Fullscreen Slideshow.
- Preview popup window.
- Improved IconList selection drawing.
- Grouping by Month or Directory.
- Thumbnail icon editing.
- Support for the Hidden Tag.

and much much more (see the ChangeLog)...



f-spot 0.0.1 - March 18 2004 - Two Kroner
-----------------------------------------
This is the first public release of f-spot.  Everything is new.
